
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; MODULE      : init-maxima.scm
;; DESCRIPTION : Initialize maxima plugin
;; COPYRIGHT   : (C) 1999  Joris van der Hoeven
;;
;; This software falls under the GNU general public license and comes WITHOUT
;; ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for details.
;; If you don't have this file, write to the Free Software Foundation, Inc.,
;; 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(define (maxima-initialize)
  (lazy-input-converter (maxima-input) maxima)
  (menu-extend texmacs-session-help-icons
  (if (and (in-maxima?)
	   (file-exists? "$MAXIMA_DIRECTORY/info" "maxima_toc.html"))
      |
      ((balloon (icon "tm_help.xpm") "Maxima manual")
       (load-help-buffer "$MAXIMA_DIRECTORY/info/maxima_toc.html")))))

(plugin-configure maxima
  (:require (file-in-path? "maxima"))
  (:initialize (maxima-initialize))
  (:launch "tm_maxima")
  (:format "verbatim" "generic")
  (:filter-in "filter-maxima-in")
  (:session "Maxima"))
