
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; MODULE      : init-mupad.scm
;; DESCRIPTION : Initialize mupad plugin
;; COPYRIGHT   : (C) 1999  Joris van der Hoeven
;;
;; This software falls under the GNU general public license and comes WITHOUT
;; ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for details.
;; If you don't have this file, write to the Free Software Foundation, Inc.,
;; 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(define (mupad-initialize)
  (lazy-input-converter (mupad-input) mupad)
  (lazy-menu (mupad-menus) mupad-help-menu)
  (menu-extend texmacs-session-help-icons
  (if (in-mupad?)
      |
      (=> (balloon (icon "tm_help.xpm") "MuPAD documentation")
	  (link mupad-help-menu)))))

(plugin-configure mupad
  (:require (file-in-path? "mupad"))
  (:initialize (mupad-initialize))
  (:launch "tm_mupad")
  (:format "verbatim" "generic")
  (:session "Mupad"))
