
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; MODULE      : init-texmacs.scm
;; DESCRIPTION : This is the standard TeXmacs initialization file
;; COPYRIGHT   : (C) 1999  Joris van der Hoeven, David Allouche
;;
;; This software falls under the GNU general public license and comes WITHOUT
;; ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for details.
;; If you don't have this file, write to the Free Software Foundation, Inc.,
;; 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;(display "Booting TeXmacs extensions to scheme\n")
(exec-file "$TEXMACS_PATH/progs/extensions/boot" "compat.scm")
(exec-file "$TEXMACS_PATH/progs/extensions/boot" "abbrevs.scm")
(exec-file "$TEXMACS_PATH/progs/extensions/boot" "debug.scm")
(exec-file "$TEXMACS_PATH/progs/extensions/boot" "srfi.scm")
(exec-file "$TEXMACS_PATH/progs/extensions/boot" "ahash-table.scm")
(exec-file "$TEXMACS_PATH/progs/extensions/boot" "prologue.scm")
(exec-file "$TEXMACS_PATH/progs/extensions/regexp" "match.scm")
(exec-file "$TEXMACS_PATH/progs/extensions/drd" "bind.scm")
(exec-file "$TEXMACS_PATH/progs/extensions/drd" "unify.scm")
(exec-file "$TEXMACS_PATH/progs/extensions/drd" "rules.scm")
(exec-file "$TEXMACS_PATH/progs/extensions/drd" "query.scm")
(exec-file "$TEXMACS_PATH/progs/extensions/drd" "def-data.scm")
(exec-file "$TEXMACS_PATH/progs/extensions/texmacs" "def-funcs.scm")
(exec-file "$TEXMACS_PATH/progs/extensions/texmacs" "tm-modes.scm")
(exec-file "$TEXMACS_PATH/progs/extensions/library" "base.scm")
(exec-file "$TEXMACS_PATH/progs/extensions/library" "list.scm")
(exec-file "$TEXMACS_PATH/progs/extensions/gui" "menu-define.scm")
(exec-file "$TEXMACS_PATH/progs/extensions/gui" "menu-widget.scm")
(exec-file "$TEXMACS_PATH/progs/extensions/gui" "kbd-define.scm")

;(display "Booting TeXmacs primitives\n")
(exec-file "$TEXMACS_PATH/progs/texmacs/base" "general.scm")
(exec-file "$TEXMACS_PATH/progs/texmacs/edit" "hybrid.scm")
(exec-file "$TEXMACS_PATH/progs/texmacs/edit" "modify.scm")
(exec-file "$TEXMACS_PATH/progs/texmacs/edit" "table.scm")
(exec-file "$TEXMACS_PATH/progs/texmacs/edit" "style.scm")
(exec-file "$TEXMACS_PATH/progs/texmacs/edit" "fold.scm")
(exec-file "$TEXMACS_PATH/progs/texmacs/edit" "circulate.scm")
(exec-file "$TEXMACS_PATH/progs/texmacs/plugin" "plugin.scm")
(exec-file "$TEXMACS_PATH/progs/texmacs/plugin" "convert.scm")
(exec-file "$TEXMACS_PATH/progs/texmacs/base" "checkmarks.scm")
(exec-file "$TEXMACS_PATH/progs/texmacs/base" "preferences.scm")
(pre-initialize-preferences)

;(display "Booting menus\n")
(lazy-menu (menus menu-file)
  file-menu go-menu
  new-file-menu load-menu save-menu print-menu close-menu)
(lazy-menu (menus menu-edit) edit-menu)
(lazy-menu (menus menu-insert)
  insert-menu insert-table-menu insert-link-menu insert-switch-menu
  insert-image-menu insert-page-insertion-menu position-float-menu)
(lazy-menu (menus menu-text)
  text-menu texmacs-text-icons text-modifier-icons)
(lazy-menu (menus menu-mathematics)
  mathematics-menu texmacs-math-icons math-modifier-icons)
(lazy-menu (menus menu-prog)
  prog-modifier-icons session-menu
  texmacs-session-icons texmacs-session-help-icons texmacs-help-icons)
(lazy-menu (menus menu-table) table-menu texmacs-table-icons)
(lazy-menu (menus menu-format) color-menu paragraph-menu format-menu)
(lazy-menu (menus menu-document)
  document-menu project-menu document-style-menu global-language-menu)
(lazy-menu (menus menu-view) view-menu)
(lazy-menu (menus menu-tools) tools-menu)
(lazy-menu (menus menu-help) help-menu)
(use-modules (menus menu-preferences) (menus menu-main))

;(display "Booting keyboard\n")
(lazy-in-mode (keyboard kbd-wildcards) always?)
(if (like-emacs?) (lazy-in-mode (keyboard kbd-emacs) always?))
(if (like-old?) (lazy-in-mode (keyboard kbd-old) always?))
(lazy-in-mode (keyboard kbd-latex) always?)
(lazy-in-mode (keyboard kbd-general) always?)
(lazy-in-mode (keyboard kbd-preamble) always?)
(lazy-in-mode (keyboard kbd-text) in-text?)
(lazy-in-mode (keyboard kbd-math) in-math?)
(lazy-in-mode (keyboard kbd-table) in-table?)

;(display "Booting fonts\n")
(if (use-ec-fonts?)
    (use-modules (fonts ec-fonts))
    (use-modules (fonts cm-fonts)))
(use-modules (fonts adobe-fonts) (fonts x-fonts) (fonts math-fonts)
	     (fonts foreign-fonts) (fonts misc-fonts))

;(display "Booting converters\n")
(use-modules (convert tmtm tmtm-eqns))
(lazy-define (convert tmtex tmtex) tmtex-produce)
(lazy-define (convert tmhtml tmhtml) tmhtml-produce)
(lazy-define (convert doc tmdoc) tmdoc-expand-help)
(lazy-define (convert doc tmdoc) tmdoc-expand-this)

;(display "Booting miscellaneous stuff\n")
(connection-declare "ispell" "ispell -a")
(connection-format "ispell" "verbatim" "ispell")
(set-printer-paper-type (get-default-paper-size))

;(display "Booting plugins\n")
(if (file-exists? "$TEXMACS_HOME_PATH/system" "setup.scm")
    (set! plugin-old-data-table
	  (load-object "$TEXMACS_HOME_PATH/system/setup.scm")))
(for-each plugin-initialize (plugin-list))
(if (not (== plugin-old-data-table plugin-data-table))
    (save-object "$TEXMACS_HOME_PATH/system/setup.scm" plugin-data-table))

;(display "Initializing user preferences\n")
(initialize-preferences)
(menu-extend page-setup-menu ,@(compute-preferences-menu page-setup-tree))
(menu-extend preferences-menu ,@(compute-preferences-menu preferences-tree))
;(display "Initialization done\n")
