
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; MODULE      : menu-edit.scm
;; DESCRIPTION : the edit menu
;; COPYRIGHT   : (C) 1999  Joris van der Hoeven
;;
;; This software falls under the GNU general public license and comes WITHOUT
;; ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for details.
;; If you don't have this file, write to the Free Software Foundation, Inc.,
;; 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(define-module (menus menu-edit))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; The Edit menu
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(menu-bind edit-menu
  ("Undo" (undo))
  ("Redo" (redo))
  ---
  (when (selection-active-any?)
	("Copy" (copy "primary"))
	("Cut" (cut "primary")))
  ("Paste" (paste "primary"))
  ("Clear" (selection-clear "primary"))
  ---
  ("Search" ... (search-start #t))
  ("Replace" ...
   (interactive '("Replace:" "Replace by:") 'replace-start-forward))
  ("Spell" ... (spell-start))
  ---
  (when (selection-active-any?)
	(-> "Copy to"
	    ("TeXmacs" (copy-export "TeXmacs" "primary"))
	    ("LaTeX" (copy-export "latex" "primary"))
	    ("HTML" (copy-export "html" "primary"))
	    ("Scheme" (copy-export "scheme" "primary"))
	    ("Verbatim" (copy-export "verbatim" "primary"))
	    ---
	    ("Primary" (copy "primary"))
	    ("Secondary" (copy "secondary"))
	    ("Ternary" (copy "ternary"))
	    ---
	    ("Other" ... (interactive '("Copy to:") 'copy)))
	(-> "Cut to"
	    ("TeXmacs" (cut-export "TeXmacs" "primary"))
	    ("LaTeX" (cut-export "latex" "primary"))
	    ("HTML" (cut-export "html" "primary"))
	    ("Scheme" (cut-export "scheme" "primary"))
	    ("Verbatim" (cut-export "verbatim" "primary"))
	    ---
	    ("Primary" (cut "primary"))
	    ("Secondary" (cut "secondary"))
	    ("Ternary" (cut "ternary"))
	    ---
	    ("Other" ... (interactive '("Cut to:") 'cut))))
  (-> "Paste from"
      ("TeXmacs" (paste-import "TeXmacs" "primary"))
      ("LaTeX" (paste-import "latex" "primary"))
      ("HTML" (paste-import "html" "primary"))
      ("Scheme" (paste-import "scheme" "primary"))
      ("Verbatim" (paste-import "verbatim" "primary"))
      ---
      ("Primary" (paste "primary"))
      ("Secondary" (paste "secondary"))
      ("Ternary" (paste "ternary"))
      ---
      ("Other" ... (interactive '("Paste from:") 'paste)))
  ---
  (-> "Preferences"
      (link preferences-menu)))
