
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; MODULE      : menu-prog.scm
;; DESCRIPTION : menus for prog mode
;; COPYRIGHT   : (C) 1999  Joris van der Hoeven
;;
;; This software falls under the GNU general public license and comes WITHOUT
;; ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for details.
;; If you don't have this file, write to the Free Software Foundation, Inc.,
;; 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(define-module (menus menu-prog))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Sessions
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(menu-bind session-menu
  ("Scheme" (make-session "scheme" "default"))
  ("Shell" (make-session "shell" "default"))
  ---
  ;; Each plugin appends its own entry
  )

(menu-bind texmacs-session-icons
  (if (in-plugin-with-converters?)
      (=> (balloon (icon "tm_plugin_input.xpm") "Input mode")
	  ("Textual input" (session-use-math-input #f))
	  ("Mathematical input" (session-use-math-input #t))))
  ((balloon (icon "tm_stop.xpm") "Interrupt execution")
   (connection-interrupt))
  ((balloon (icon "tm_clsession.xpm") "Close session")
   (connection-stop))
  (if (in-math?)
      |))

(menu-bind texmacs-session-help-icons
  ;; Each plugin appends its own entry
  )

(menu-bind texmacs-help-icons
  (link texmacs-session-help-icons))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Icons for modifying text properties
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(menu-bind prog-modifier-icons
  ((balloon (icon "tm_italic.xpm") "Write italic text#(A-C-i)")
   (make-with "prog font shape" "italic"))
  ((balloon (icon "tm_bold.xpm") "Write bold text#(A-C-b)")
   (make-with "prog font series" "bold"))
  ((balloon (icon "tm_sansserif.xpm") "Use a sans serif font#(A-C-s)")
   (make-with "prog font family" "ss")))
